# SpeciesFormChangeItemTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeItemTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeItemTrigger

- Defined in src/data/pokemon-forms.ts:266

##### Index

### Constructors

constructor

### Properties

active
description
item

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeItemTrigger(
  item: FormChangeItem ,
  active?: boolean,
  ): SpeciesFormChangeItemTrigger

  #### Parameters

  - item: FormChangeItem
  - active: boolean = true

  #### Returns SpeciesFormChangeItemTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:270

## Properties

### active

active: boolean

- Defined in src/data/pokemon-forms.ts:268

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### item

item: FormChangeItem

- Defined in src/data/pokemon-forms.ts:267

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:283

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228